<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsMessage Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_message.html">XsMessage</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a536ae9ea5172a8b48f80916d7487bd9a">clear</a>(void)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#aa4e979c84cdbc8136c9d2534a3f9e716">deleteData</a>(XsSize count, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#ae62f42ad49a7b0083ba0932797080755">empty</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#af374060ffa44f1223a3b50794567b80d">getBusId</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#af95f7643e6bd9048adc15891132b2809">getData</a>(T *data, XsDataIdentifier id, XsSize offset=0, int numValues=1) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a3130645330d5d90db47d21f69c25a176">getData</a>(XsReal *data, XsDataIdentifier id, XsSize offset, int numValues) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a050a9bf0e08647aded2c41221874b436">getDataBuffer</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#aa832c07e0218b7d4f28073411c31c93d">getDataByte</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a4c2d7ed380cf12545db560e52c228114">getDataDouble</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#ac91d0780c32bcbc3f4a30c8bbe8e9b1e">getDataF1220</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a6f09560bd00c5f3031d1607ad97e195e">getDataFloat</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a130afea9ce982d8242530e87d70ed128">getDataFP1632</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#aa79002649577ba593af19f9e2d7015b4">getDataFPValue</a>(uint64_t outputSettings, double *dest, XsSize offset=0, XsSize numValues=1) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#af5a68442e832c45c758c08da21a28342">getDataFPValue</a>(uint64_t outputSettings, XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#ac48ca0e48d8c1c0dd9a6f881399c2e0d">getDataFPValue</a>(XsDataIdentifier dataIdentifier, double *dest, XsSize offset=0, XsSize numValues=1) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#ad107fce4de29fbf182ee1f51bef2350a">getDataFPValue</a>(XsDataIdentifier dataIdentifier, XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a7277ae9ef18adb1289aba58a1d258682">getDataLong</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#aab8ef0b15aaa0317ce2b58b9fe57ca7b">getDataLongLong</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#adf33a94be7991c14c62ae9baefda310a">getDataShort</a>(XsSize offset=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#aa76069ebfd730e6dd92837d9d270c512">getDataSize</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a21e84556c2ca30ec7528ecf6805923cf">getFPValueSize</a>(XsDataIdentifier id)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#ade78b0a041be1ab5a3d3d833d67ea187">getMessageId</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a397dbefc38639191f85706cd7be2d436">getMessageStart</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a81f132f355a910cd2dd78edbf5cc6de5">getTotalMessageSize</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#ab11b750f1fceeb56a0fddb67d849d784">insertData</a>(XsSize count, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a7b87913ac5b97023086e0003d2474dc3">isChecksumOk</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#af4f31422022733fb257804a18e80e840">loadFromString</a>(const uint8_t *src, XsSize msgSize)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a3ff41f6684a700a63d29e6f2f75a8b6f">operator=</a>(const XsMessage &amp;src)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#abf7442a2c6a19bf1b445e365d32cb3a8">operator==</a>(const XsMessage &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#ab093c965127c8938072cefff37cb35d7">rawMessage</a>() const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a8cd1b0dc20da22e2f7fec6c9edcdbd03">recomputeChecksum</a>(void)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a4e3c0bd6d550bc8e3563313e30d3682e">resizeData</a>(XsSize newSize)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#acfae71aa527b398453794ee5fefcfa01">setBusId</a>(uint8_t busId)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#ac551711ad46297523ce6427e8e048604">setData</a>(T const *data, XsDataIdentifier id, XsSize offset=0, int numValues=1)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a58472c364f49b42a7b08907ef7abf525">setData</a>(XsReal const *data, XsDataIdentifier id, XsSize offset, int numValues)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a5fb3435305a151b7ecd407cdd27a2ff9">setDataBuffer</a>(const uint8_t *buffer, XsSize size, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a14c869e32c2354f4c0b6d33371acb788">setDataByte</a>(const uint8_t value, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#afa6c7eade4611545d799637f962db6c5">setDataDouble</a>(const double value, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a1f4da311870c249874389b60dd4c66ec">setDataF1220</a>(const double value, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#ac794812b21dba6ca3787393804d894cf">setDataFloat</a>(const float value, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a241ce69abb3167023f6a81473d2575a9">setDataFP1632</a>(const double value, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#aa87878367efdd3c8ca9edce6f78a57b2">setDataFPValue</a>(uint64_t outputSettings, const double *data, XsSize offset=0, XsSize numValues=1)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#aa6f0be8e730bc1d7bec04d98862faa90">setDataFPValue</a>(uint64_t outputSettings, double data, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a6e0920363ee79153a6db425589971a7e">setDataFPValue</a>(XsDataIdentifier dataIdentifier, const double *data, XsSize offset=0, XsSize numValues=1)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a465b8c66429b9a3a223b2c5fe2da4cd5">setDataFPValue</a>(XsDataIdentifier dataIdentifier, double data, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a761496e94dd2250bcec6072f326a4efc">setDataLong</a>(const uint32_t value, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a8b19bd8617fa5d2ff32be950f19c1c92">setDataLongLong</a>(const uint64_t value, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#aa8ce82c651f4d6b3c52e7e10c82cb039">setDataShort</a>(const uint16_t value, XsSize offset=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#af85d45bcd853ee5d76b4fb6a5f898688">setMessageId</a>(const XsXbusMessageId msgId)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a2be67b62cb637b7ef4a451e029410581">sizeInMsg</a>(XsDataIdentifier id, int numValues=1)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#a9dd2e2385f7f0261d1dcc3d28e5293c9">sizeInMsg</a>(XsDataIdentifier id, int numValues)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#a438b6019362e6bdbfe3965adc3df12a0">toHexString</a>(XsSize maxBytes=0) const </td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#ae8be30c2d685a407bff0216cf542965d">XsMessage</a>(XsXbusMessageId msgId=XMID_InvalidMessage, XsSize dataLength=0)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_message.html#aeb0fce1ca73fe9b0ff6bcfeabfc7a873">XsMessage</a>(const uint8_t *source, XsSize size)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#ad015f5dae11b53473a9165d1f2c3e7cd">XsMessage</a>(const XsMessage &amp;src)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gab7db67f030939417b6c0e45a2f221720">XsMessage_getFPValueSize</a>(XsDataIdentifier id)</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_message.html#ac2260f1c87d7829430231d82477c52c6">~XsMessage</a>()</td><td class="entry"><a class="el" href="struct_xs_message.html">XsMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
